/*
 * DepenseInspecteurNibnb.java
 *
 * Created on 31 octobre 2008, 10:52
 */

package org.cocktail.corossol.client.nib;

import org.cocktail.application.palette.JPanelCocktail;

public class DepenseInspecteurNib extends JPanelCocktail {
    
    /** Creates new form DepenseInspecteurNibnb */
    public DepenseInspecteurNib() {
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabelCocktail1 = new org.cocktail.application.palette.JLabelCocktail();
        jButtonCocktailFermer = new org.cocktail.application.palette.JButtonCocktail();
        inventaireComptableTBV = new org.cocktail.application.palette.JTableViewCocktail();
        jLabelCocktail2 = new org.cocktail.application.palette.JLabelCocktail();
        jButtonCocktailAnnulerLien = new org.cocktail.application.palette.JButtonCocktail();
        jButtonCocktailModifier = new org.cocktail.application.palette.JButtonCocktail();
        jTextFieldCocktailMontant = new javax.swing.JFormattedTextField();
        jLabelCocktail3 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail4 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail5 = new org.cocktail.application.palette.JLabelCocktail();
        jButtonCocktailAssocier = new org.cocktail.application.palette.JButtonCocktail();
        jTextFieldCocktailSomme = new javax.swing.JFormattedTextField();
        jTextFieldCocktailSommeDepense = new javax.swing.JFormattedTextField();
        jTextFieldCocktailDiff = new javax.swing.JFormattedTextField();
        inventaireTBV = new org.cocktail.application.palette.JTableViewCocktail();
        depensesTBV = new org.cocktail.application.palette.JTableViewCocktail();

        jLabelCocktail1.setText("Liste des inventaires :");

        jButtonCocktailFermer.setText("Fermer ");
        jButtonCocktailFermer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailFermerActionPerformed(evt);
            }
        });

        jLabelCocktail2.setText("Montant budgetaire : ");

        jButtonCocktailAnnulerLien.setText("Annuler depense");
        jButtonCocktailAnnulerLien.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailAnnulerLienActionPerformed(evt);
            }
        });

        jButtonCocktailModifier.setText("Modifier montant");
        jButtonCocktailModifier.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailModifierActionPerformed(evt);
            }
        });

        jLabelCocktail3.setText("Liste des biens :");

        jLabelCocktail4.setText("Liste des depenses :");

        jLabelCocktail5.setText("Controles :");

        jButtonCocktailAssocier.setText("Associer");
        jButtonCocktailAssocier.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailAssocierActionPerformed(evt);
            }
        });

        jTextFieldCocktailSomme.setBackground(new java.awt.Color(51, 0, 51));
        jTextFieldCocktailSomme.setForeground(new java.awt.Color(255, 204, 0));

        jTextFieldCocktailSommeDepense.setBackground(new java.awt.Color(51, 0, 51));
        jTextFieldCocktailSommeDepense.setForeground(new java.awt.Color(255, 204, 0));

        jTextFieldCocktailDiff.setBackground(new java.awt.Color(255, 204, 0));
        jTextFieldCocktailDiff.setForeground(new java.awt.Color(255, 51, 51));

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(inventaireTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 557, Short.MAX_VALUE)
                    .add(inventaireComptableTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 557, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 304, Short.MAX_VALUE)
                        .add(jButtonCocktailFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 116, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextFieldCocktailMontant, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 121, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jButtonCocktailModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 143, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jButtonCocktailAnnulerLien, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextFieldCocktailSomme, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextFieldCocktailSommeDepense, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 107, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextFieldCocktailDiff, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 122, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jButtonCocktailAssocier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 125, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(depensesTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 557, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButtonCocktailFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(inventaireComptableTBV, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 131, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButtonCocktailAnnulerLien, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktailMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButtonCocktailModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(3, 3, 3)
                .add(inventaireTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 89, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(depensesTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 88, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jTextFieldCocktailSomme, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jTextFieldCocktailSommeDepense, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jTextFieldCocktailDiff, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jButtonCocktailAssocier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonCocktailFermerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailFermerActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailFermerActionPerformed

    private void jButtonCocktailAnnulerLienActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailAnnulerLienActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailAnnulerLienActionPerformed

    private void jButtonCocktailModifierActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailModifierActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailModifierActionPerformed

    private void jButtonCocktailAssocierActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailAssocierActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailAssocierActionPerformed
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.application.palette.JTableViewCocktail depensesTBV;
    public org.cocktail.application.palette.JTableViewCocktail inventaireComptableTBV;
    public org.cocktail.application.palette.JTableViewCocktail inventaireTBV;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailAnnulerLien;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailAssocier;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailFermer;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailModifier;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail1;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail2;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail3;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail4;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail5;
    public javax.swing.JFormattedTextField jTextFieldCocktailDiff;
    public javax.swing.JFormattedTextField jTextFieldCocktailMontant;
    public javax.swing.JFormattedTextField jTextFieldCocktailSomme;
    public javax.swing.JFormattedTextField jTextFieldCocktailSommeDepense;
    // End of variables declaration//GEN-END:variables
	public org.cocktail.application.palette.JTableViewCocktail getDepensesTBV() {
		return depensesTBV;
	}

	public void setDepensesTBV(
			org.cocktail.application.palette.JTableViewCocktail depensesTBV) {
		this.depensesTBV = depensesTBV;
	}

	public org.cocktail.application.palette.JTableViewCocktail getInventaireComptableTBV() {
		return inventaireComptableTBV;
	}

	public void setInventaireComptableTBV(
			org.cocktail.application.palette.JTableViewCocktail inventaireComptableTBV) {
		this.inventaireComptableTBV = inventaireComptableTBV;
	}

	public org.cocktail.application.palette.JTableViewCocktail getInventaireTBV() {
		return inventaireTBV;
	}

	public void setInventaireTBV(
			org.cocktail.application.palette.JTableViewCocktail inventaireTBV) {
		this.inventaireTBV = inventaireTBV;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailAnnulerLien() {
		return jButtonCocktailAnnulerLien;
	}

	public void setJButtonCocktailAnnulerLien(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailAnnulerLien) {
		jButtonCocktailAnnulerLien = buttonCocktailAnnulerLien;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailAssocier() {
		return jButtonCocktailAssocier;
	}

	public void setJButtonCocktailAssocier(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailAssocier) {
		jButtonCocktailAssocier = buttonCocktailAssocier;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailFermer() {
		return jButtonCocktailFermer;
	}

	public void setJButtonCocktailFermer(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailFermer) {
		jButtonCocktailFermer = buttonCocktailFermer;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailModifier() {
		return jButtonCocktailModifier;
	}

	public void setJButtonCocktailModifier(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailModifier) {
		jButtonCocktailModifier = buttonCocktailModifier;
	}

	public javax.swing.JFormattedTextField getJTextFieldCocktailDiff() {
		return jTextFieldCocktailDiff;
	}

	public void setJTextFieldCocktailDiff(
			javax.swing.JFormattedTextField textFieldCocktailDiff) {
		jTextFieldCocktailDiff = textFieldCocktailDiff;
	}

	public javax.swing.JFormattedTextField getJTextFieldCocktailMontant() {
		return jTextFieldCocktailMontant;
	}

	public void setJTextFieldCocktailMontant(
			javax.swing.JFormattedTextField textFieldCocktailMontant) {
		jTextFieldCocktailMontant = textFieldCocktailMontant;
	}

	public javax.swing.JFormattedTextField getJTextFieldCocktailSomme() {
		return jTextFieldCocktailSomme;
	}

	public void setJTextFieldCocktailSomme(
			javax.swing.JFormattedTextField textFieldCocktailSomme) {
		jTextFieldCocktailSomme = textFieldCocktailSomme;
	}

	public javax.swing.JFormattedTextField getJTextFieldCocktailSommeDepense() {
		return jTextFieldCocktailSommeDepense;
	}

	public void setJTextFieldCocktailSommeDepense(
			javax.swing.JFormattedTextField textFieldCocktailSommeDepense) {
		jTextFieldCocktailSommeDepense = textFieldCocktailSommeDepense;
	}
    
}
